<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingStart="@dimen/convert_24px"
    android:paddingEnd="@dimen/convert_24px">

    <RelativeLayout
        android:id="@+id/card_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/convert_24px"
        android:layout_marginBottom="@dimen/convert_24px"
        android:visibility="visible">

        <FrameLayout
            android:id="@+id/filter_card_view"
            android:layout_width="@dimen/convert_207px"
            android:layout_height="@dimen/convert_60px"
            android:background="@drawable/shape_10px33a3a3a2_stroke">

            <ImageView
                android:id="@+id/iv_filter_arrow"
                android:layout_width="@dimen/convert_30px"
                android:layout_height="@dimen/convert_30px"
                android:layout_gravity="center_vertical|end"
                android:layout_marginEnd="@dimen/convert_15px"
                android:background="@drawable/ic_down_arrow" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_filter_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/convert_20px"
                android:layout_marginEnd="@dimen/convert_60px"
                android:ellipsize="end"
                android:singleLine="true"
                android:text="@string/all"
                android:textColor="@color/color_1A1A1A"
                android:textSize="@dimen/convert_30px" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/sort_card_view"
            android:layout_width="@dimen/convert_198px"
            android:layout_height="@dimen/convert_60px"
            android:layout_marginStart="@dimen/convert_24px"
            android:layout_toEndOf="@id/filter_card_view"
            android:background="@drawable/shape_10px33a3a3a2_stroke">

            <ImageView
                android:id="@+id/iv_sort_arrow"
                android:layout_width="@dimen/convert_30px"
                android:layout_height="@dimen/convert_30px"
                android:layout_gravity="center_vertical|end"
                android:layout_marginEnd="@dimen/convert_15px"
                android:background="@drawable/ic_down_arrow" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_sort_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/convert_20px"
                android:layout_marginEnd="@dimen/convert_50px"
                android:ellipsize="end"
                android:singleLine="true"
                android:text="A-Z"
                android:textColor="@color/color_1A1A1A"
                android:textSize="@dimen/convert_30px" />

        </FrameLayout>

        <FrameLayout
            android:id="@+id/search_card_view"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/convert_60px"
            android:layout_marginStart="@dimen/convert_24px"
            android:layout_toEndOf="@id/sort_card_view"
            android:background="@drawable/shape_10pxee8f08_stroke">

            <ImageView
                android:layout_width="@dimen/convert_30px"
                android:layout_height="@dimen/convert_30px"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/convert_38px"
                android:background="@drawable/ic_search" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center|end"
                android:layout_marginStart="@dimen/convert_79px"
                android:layout_marginEnd="@dimen/convert_42px"
                android:text="@string/search"
                android:textColor="@color/color_EE8F08"
                android:textSize="@dimen/convert_30px" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/online_layout"
            android:layout_width="@dimen/convert_273px"
            android:layout_height="@dimen/convert_60px"
            android:layout_centerVertical="true"
            android:layout_toStartOf="@+id/download_layout"
            android:background="@drawable/shape_100px6fb1fb_corners">

            <ImageView
                android:layout_width="@dimen/convert_46px"
                android:layout_height="@dimen/convert_46px"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/convert_19px"
                android:background="@drawable/ic_net" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center|end"
                android:layout_marginEnd="@dimen/convert_23px"
                android:text="@string/online_recipes"
                android:textColor="@color/white"
                android:textSize="@dimen/convert_26px" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/download_layout"
            android:layout_width="@dimen/convert_240px"
            android:layout_height="@dimen/convert_60px"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginStart="@dimen/convert_12px"
            android:background="@drawable/shape_100px79c414_corners">

            <ImageView
                android:layout_width="@dimen/convert_46px"
                android:layout_height="@dimen/convert_46px"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/convert_29px"
                android:background="@drawable/ic_download" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center|end"
                android:layout_marginStart="@dimen/convert_87px"
                android:layout_marginEnd="@dimen/convert_25px"
                android:text="@string/download"
                android:textColor="@color/white"
                android:textSize="@dimen/convert_26px" />
        </FrameLayout>
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/searchLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/convert_88px"
        android:layout_marginStart="@dimen/convert_290px"
        android:layout_marginTop="@dimen/convert_40px"
        android:layout_marginEnd="@dimen/convert_290px"
        android:layout_marginBottom="@dimen/convert_60px"
        android:visibility="gone">

        <EditText
            android:id="@+id/et_search"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerHorizontal="true"
            android:background="@drawable/shape_60pxe5e5e5_stoke"
            android:gravity="center_vertical"
            android:hint="@string/enter_search"
            android:paddingStart="@dimen/convert_40px"
            android:singleLine="true"
            android:textColor="@color/color_1A1A1A"
            android:textColorHint="@color/color_1A1A1A"
            android:textSize="@dimen/convert_45px" />

        <ImageView
            android:id="@+id/iv_search"
            android:layout_width="@dimen/convert_60px"
            android:layout_height="@dimen/convert_60px"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginEnd="@dimen/convert_34px"
            android:background="@drawable/ic_search"
            android:padding="@dimen/convert_5px" />

    </RelativeLayout>
</RelativeLayout>